unit Feld;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Wand;

Type

  { Feld }

  { TFeld }

  TFeld = class(TObject)
  public
    Farbe: TColor;
    Canvas: TCanvas;
    x, y: integer;
    Waende: array[0..39] of array [0..29] of TWand;
    constructor Create;
    function FFarbe: TColor;
    procedure WandBauen;
    procedure Render;
  end;

  var
  Wall: TWand;

implementation

{ Feld }

constructor TFeld.Create;
begin
  Farbe:= clBlack;
end;

function TFeld.FFarbe: TColor;
begin
  result:= Farbe;
end;

procedure TFeld.WandBauen;
var
  i: integer;
begin
  for i:= 0 to 39 do
  begin
    Waende[i][0]:= TWand.Create(i, 0);
    Waende[i][29]:= TWand.Create(i, 29);
  end;

  for i:= 0 to 29 do
  begin
    Waende[0][i]:= TWand.Create(0, i);
    Waende[39][i]:= TWand.Create(39, i);
  end;

  Canvas.Pen.Color:= clWhite;
  Canvas.Brush.Color:= clWhite;
end;

procedure TFeld.Render;
var
  index: Word;
  Startx, Starty: integer;
  Endex, Endey: integer;
  i, j: integer;
begin

  Canvas.Pen.Color:= clWhite;
  Canvas.Brush.Color:= clWhite;

  for i:= 0 to 29 do
  begin
    for j:= 0 to 39 do
    begin
      if assigned(Waende[j][i]) then
      begin
        x:= Waende[j][i].x;
        y:= Waende[j][i].y;
        Canvas.Rectangle(x * 16, y * 16, x * 16 + 16, y * 16 + 16);
      end;
    end;
  end;
end;

end.

