unit Haeppchen;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Variants, Messages;

type

  { THaeppchen }

  THaeppchen = class(TObject)
    public
      Haeppchen1: TPoint;
      Haeppchen2: TPoint;
      FFarbe: TColor;
      FCanvas: TCanvas;
      constructor Create;
      function Farbe: Tcolor;
      procedure ErstesZeichnen;
      procedure ZweitesZeichnen;
  end;

implementation

{ THaeppchen }

constructor THaeppchen.Create;
begin
  FFarbe:= clRed;
end;

function THaeppchen.Farbe: Tcolor;
begin
  Result:= FFarbe;
end;

procedure THaeppchen.ErstesZeichnen;
var
  Spielfeld: array[0..37, 0..27] of integer;
  x, y: integer;
  index: integer;
  FreieFelder: array[0..40*30-1] of TPoint;
  AnzahlFelder: integer;
begin
  AnzahlFelder:= 0;

  for y:= 0 to 28 do
  begin
    for x:=0 to 38 do
    begin
      if Spielfeld[x, y] = 0 then
      begin
        FreieFelder[AnzahlFelder]:= Point(x, y);
        AnzahlFelder:= AnzahlFelder + 1;
      end;
    end;
  end;

//  Haeppchen1.x:= FreieFelder[index].x;
//  Haeppchen1.y:= FreieFelder[index].y;
end;

procedure THaeppchen.ZweitesZeichnen;
var
  Spielfeld: array[0..37, 0..27] of integer;
  x, y: integer;
  index: integer;
  FreieFelder: array[0..40*30-1] of TPoint;
  AnzahlFelder: integer;
begin
  AnzahlFelder:= 0;

  for y:= 0 to 28 do
  begin
    for x:=0 to 38 do
    begin
      if Spielfeld[x, y] = 0 then
      begin
        FreieFelder[AnzahlFelder]:= Point(x, y);
        AnzahlFelder:= AnzahlFelder + 1;
      end;
    end;
  end;

  Haeppchen2.x:= FreieFelder[index].x;
  Haeppchen2.y:= FreieFelder[index].y;
end;

end.

